## [0.8 Unreleased]

## [0.7] - 2023-02-20

### Changed
* #15: Fix segfault when no remote google_calendar
* #12: Prevent overflow in display_entry
* #11: Fix repeated 'S' key press
* #10: Fix malloc for google_tokenfile
* #3: Improve handling for tokenfile when offline (Caldav sync)
* Move source code from Codeberg

### Added
* #6/7: LTTng instrumentation for development and debugging purposes

## [0.6] - 2022-02-02

### Changed
* Changed "s" shortcut logic: "s" no longer jumps to specific day (search), use
  "f" to "find" date (drop-in replacement). Use "s" to "sync" entries to Google
  calendar (CalDAV sync).
* Move source code from GitHub to Codeberg
* Simplify man page generation with [scdoc](https://sr.ht/~sircmpwn/scdoc/)
* Fix segfault at a first run (#1)

### Added
* External text format command (#68, #80) `--fmt-cmd`
* Pseudo-terminal to support ANSI escape characters (colors, font types, etc.)
  and `--no-pty` option (#6, #44, #5)
* Mouse support for selecting dates (#60)
* Documentation of Open Build Service (OBS) jobs (`docs/OBS.md`)
* Documentation of testing and debugging procedures (`docs/TESTING.md`)
* Add `debug` target to `Makefile`
* CalDAV sync: "s"/"S" shortcuts to sync selected day/Month with Google
  calendar
* Import (#76, #77): "i" shortcut to import entries from .ics
* Export (#78): "E" shortcut to export entries to .ics

## [0.5] - 2021-02-24

### Changed
* Make year range (#56), first weekday (#13) and file name configurable
* Change g/G shortcut logic: Jump to first/last non-empty entry (#57)
* Improve man page and overall documentation

### Added
* Add optional configuration file (#35)
* Add command line options (#34), help and version flags (#45)

## [0.4] - 2020-10-17

### Changed
* Fix install on OSX (#41)
* Improve Makefile and build instructions

## [0.3] - 2016-12-28

### Changed
* Escape characters and utf-8 fixes
* First day of week according to locale

### Added
* Header file
* Constant parameters
* Jump to nearest entry
* Man page

## [0.2] - 2016-11-27

### Changed
* Fixes trailing '/' in entry reading

### Added
* Remove entries
* Search entries, jump to date

## [0.1] - 2016-11-24

### Notes
* There is still a bug which appends '/' to the diary directory even if the
  trailing '/' is already given.
* Removing entries not yet possible
